# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'session_manager/version'

Gem::Specification.new do |spec|
  spec.name          = "session_manager"
  spec.version       = SessionManager::VERSION
  spec.authors       = ["fabira && atakem"]
  spec.email         = ["fabira90@gmail.com, atacraft@gmail.com"]
  spec.summary       = %q{"session manager"}
  spec.description   = %q{"module that create,delete and verify users' and apps' sessions"}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake", "~> 10.3", ">= 10.3.1"
  spec.add_development_dependency "redis", "~> 3.0", ">= 3.0.7" 

  #(we added) development dependencies
  spec.required_ruby_version = ">= 2.0"
  spec.add_development_dependency "rspec", "~>2.6"
  spec.add_development_dependency "uuid", "~> 2.3", ">= 2.3.7"
  spec.add_development_dependency "autotest", "~> 4.4", ">= 4.4.6"
  spec.add_development_dependency "autotest-fsevent", "~> 0.2", ">= 0.2.9"
  spec.add_development_dependency "autotest-growl", "~> 0.2", ">= 0.2.16"
  spec.add_development_dependency "ZenTest", "~> 4.10", ">= 4.10.0"
end
